List Audio Assets
GET
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
audio-assets
List Audio Assets
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets \
--header 'Authorization: Bearer <token>'{
"presets": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "ambient",
"is_preset": true
}
],
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"kind": "<string>",
"name": "<string>",
"storage_bucket": "<string>",
"storage_path": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"sample_rate": 123,
"duration_ms": 123,
"content_type": "audio/wav",
"size_bytes": 123,
"is_preset": false,
"archived_at": "<string>"
}
],
"total": 0,
"limit": 50,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List Audio Assets
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets \
--header 'Authorization: Bearer <token>'{
"presets": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "ambient",
"is_preset": true
}
],
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"kind": "<string>",
"name": "<string>",
"storage_bucket": "<string>",
"storage_path": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"sample_rate": 123,
"duration_ms": 123,
"content_type": "audio/wav",
"size_bytes": 123,
"is_preset": false,
"archived_at": "<string>"
}
],
"total": 0,
"limit": 50,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
